import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '关联工作id',
    align:"center",
    dataIndex: 'jobId_dictText'
   },
   {
    title: '订单状态',
    align:"center",
    dataIndex: 'status_dictText'
   },
   {
    title: '关联招聘者id',
    align:"center",
    dataIndex: 'employeeId_dictText'
   },
   {
    title: '关联求职者id',
    align:"center",
    dataIndex: 'bossId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '关联工作id',
    field: 'jobId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"employ_job,title,id"
     },
  },
  {
    label: '订单状态',
    field: 'status',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"employ_status"
     },
  },
  {
    label: '关联招聘者id',
    field: 'employeeId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
  {
    label: '关联求职者id',
    field: 'bossId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
];
