package org.jeecg.modules.apiService;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.employAuthenticationCompany.entity.EmployAuthenticationCompany;
import org.jeecg.modules.employAuthenticationPerson.entity.EmployAuthenticationPerson;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface AuthenticationService {
    //实名认证-查询个人实名认证信息
    public Result<?> getAuthenticationPerson(@RequestHeader("X-Access-Token") String token);

    //实名认证-个人实名认证
    public Result<?> addAuthenticationPerson(@RequestHeader("X-Access-Token") String token, EmployAuthenticationPerson employAuthenticationPerson);

    //实名认证-查询企业实名认证信息
    public Result<?> getAuthenticationCompany(@RequestHeader("X-Access-Token") String token);

    //实名认证-企业实名认证
    public Result<?> addAuthenticationCompany(@RequestHeader("X-Access-Token") String token, EmployAuthenticationCompany employAuthenticationCompany);

}
