package org.jeecg.modules.apiService;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.employResume.entity.EmployResume;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface ResumeService {
    //简历信息-查询简历信息列表
    public Result<?> queryResumeList(EmployResume employResume, PageBean pageBean);

    //简历信息-根据Id查看简历详情
    public Result<?> queryResumeById(@RequestHeader("X-Access-Token")String token, String resumeId);

    //简历信息-我的简历
    public Result<?> queryResumeByUserId(@RequestHeader("X-Access-Token") String token);

    //简历信息-添加简历信息
    public Result<?> addResume(@RequestHeader("X-Access-Token")String token, EmployResume employResume);

    //简历信息-修改简历信息
    public Result<?> updateResume(@RequestHeader("X-Access-Token") String token, EmployResume employResume);
}
