import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '父级分类id',
    align:"center",
    dataIndex: 'pid_dictText'
   },
   {
    title: '分类名称',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '分类图标',
    align:"center",
    dataIndex: 'image',
    customRender:render.renderAvatar,
   },
   {
    title: '排序编号',
    align:"center",
    dataIndex: 'orderNo'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '父级分类id',
    field: 'pid',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"employ_category,name,id"
     },
  },
  {
    label: '分类名称',
    field: 'name',
    component: 'Input',
  },
  {
    label: '分类图标',
    field: 'image',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '排序编号',
    field: 'orderNo',
    component: 'InputNumber',
  },
];
