package org.jeecg.modules.api.employController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiService.ConfigService;
import org.jeecg.modules.apiService.FeedbackService;
import org.jeecg.modules.employFeedback.entity.EmployFeedback;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="帮助反馈-帮助反馈相关接口")
@RestController
@RequestMapping("/employ/feedback")
@Slf4j
public class FeedbackController {
    /******************************************************************************************************************/
    //帮助反馈
    @Resource
    private FeedbackService feedbackService;
    /******************************************************************************************************************/

    @ApiOperation(value="帮助反馈-帮助反馈", notes="帮助反馈-帮助反馈")
    @RequestMapping(value = "/addFeedback", method = {RequestMethod.POST})
    public Result<?> addFeedback(@RequestHeader("X-Access-Token") String token, EmployFeedback employFeedback){
        return feedbackService.addFeedback(token, employFeedback);
    }
}
