package org.jeecg.modules.apiService;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface UserService {
    //个人信息-查看个人信息
    public Result<?> queryUser(@RequestHeader("X-Access-Token") String token);

    //个人信息-修改个人信息
    public Result<?> updateUser(@RequestHeader("X-Access-Token") String token, String nickName, String phone, String headImage);

    //获取个人中心基础数据信息
    public Result<?> getUserCenterData(String token);
}
